﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace test_SortNumber_Console
{
    class Program
    {
        static int[] number;
        static int count;
        /// <summary>
        /// جا به جا کردن مقادیر دو آرایه
        /// </summary>
        static void Swap(int arg1, int arg2)
        {
            int temp = number[arg1];
            number[arg1] = number[arg2];
            number[arg2] = temp;
        }
        /// <summary>
        /// مرتب سازی نزولی
        /// </summary>
        static void Descending()
        {
            int cont = 0;
            for (int i = 0; i < number.Length; i++)
            {
                for (int ii = i + 1; ii < number.Length; ii++)
                {
                    if (number[i] < number[ii])
                    {
                        Swap(i, ii);
                        cont++;
                    }
                }
            }
        }
        /// <summary>
        /// مرتب سازی صعودی
        /// </summary>
        static void Ascending()
        {
            int cont = 0;
            for (int i = 0; i < number.Length; i++)
            {
                for (int ii = i + 1; ii < number.Length; ii++)
                {
                    if (number[i] > number[ii])
                    {
                        Swap(i, ii);
                        cont++;
                    }
                }
            }
        }
        static void Start()
        {
            try
            {
                Console.WriteLine("\n\nInsert quantity of numbers that you want to insert :");
                number = new int[Convert.ToInt16(Console.ReadLine())];
                Console.WriteLine("\nAfter insert each number press 'Enter'.");
                for (int i = 0; i < number.Length; i++)
                {
                    number[i] = Convert.ToInt16(Console.ReadLine());
                }
                Console.WriteLine("\nType 'A' for Ascending sort :\nType 'D' for Descending sort :");
                switch (Console.ReadLine().ToLower().ToString())
                {
                    case "a":
                        Ascending();
                        break;
                    case "d":
                        Descending();
                        break;
                    default:
                        Ascending();
                        break;
                }
                Console.WriteLine("\nSorted Numbers :\n");
                foreach (int p in number)
                    Console.WriteLine(p.ToString());
                Console.WriteLine("\n\nPress any key to restart program :");

                Console.ReadKey();
                Restart();
            }
            catch (Exception ex)
            {
                Console.WriteLine("\nOccured an Error.");
                Console.WriteLine(ex.Message);
                Console.WriteLine("Press any key to restart program.");
                Console.ReadKey();
                Restart();

            }
        }
        static void Restart()
        {
            Console.Clear();
            Console.WriteLine("\n\n======================| BZTESW.BLOG.IR |======================");
            Start();
        }
        static void Main(string[] args)
        {
            Console.Title = "Programmer : F.BeigiRad";
            Console.WriteLine("\n\n======================| BZTESW.BLOG.IR |======================");

            Console.WriteLine("\n\nSubject : Selection sort");
            Console.WriteLine("\nProgrammer : F.Beigirad");
            Console.WriteLine("\nDate : Autumn 1393\n\nPress any key to start :");
            Console.ReadKey();
            Restart();

            
        }
        
    }
}
